Infront Data Manager Connect Client (.NET)

Public Member Functions | List of all members
Gevasys.DataCore.Core.IRunnable Interface Reference

Interface for classes that wants to run as a thread. More...

Inherited by Gevasys.DataCore.Client.IPushClient, Gevasys.DataCore.Client.IRetransmitClient, Gevasys.DataCore.Core.IO.InboundSocketReader, Gevasys.DataCore.Core.IO.SocketReader, Gevasys.DataCore.Core.IO.SocketWriter, Gevasys.DataCore.Core.StreamingConsumer, Gevasys.DataCore.StaticData.Http.AsyncFileDownloader, Gevasys.DataCore.StaticData.Http.AsyncRouteCall, Gevasys.DataCore.StaticData.Http.RetransmitDownloader, and Gevasys.DataCore.Upstream.Manager.Publisher.

## Public Member Functions
void | Run ()
| Implement this method to start the Thread. More...
void | Stop ()
| Implement this method to stop the Thread. More...

## Detailed Description

Interface for classes that wants to run as a thread.

For compatibility with the java version.

## Member Function Documentation

## ◆ Run()

void Gevasys.DataCore.Core.IRunnable.Run | ( |  | ) |

Implement this method to start the Thread.

Implemented in Gevasys.DataCore.Client.Consumer.Tcp.TcpConsumer, Gevasys.DataCore.Core.IO.SocketReader, Gevasys.DataCore.Client.PushClient, Gevasys.DataCore.Upstream.Tcp.TcpPublisher, Gevasys.DataCore.Core.StreamingConsumer, Gevasys.DataCore.Client.RetransmitClient, Gevasys.DataCore.StaticData.Http.AsyncRouteCall, Gevasys.DataCore.StaticData.Http.AsyncFileDownloader, and Gevasys.DataCore.Core.IO.InboundSocketReader.

## ◆ Stop()

void Gevasys.DataCore.Core.IRunnable.Stop | ( |  | ) |

Implement this method to stop the Thread.

Implemented in Gevasys.DataCore.Client.Consumer.Tcp.TcpConsumer, Gevasys.DataCore.Core.IO.SocketReader, Gevasys.DataCore.Client.PushClient, Gevasys.DataCore.Upstream.Tcp.TcpPublisher, Gevasys.DataCore.Client.RetransmitClient, Gevasys.DataCore.StaticData.Http.AsyncRouteCall, Gevasys.DataCore.Core.StreamingConsumer, Gevasys.DataCore.StaticData.Http.AsyncFileDownloader, and Gevasys.DataCore.Core.IO.InboundSocketReader.

The documentation for this interface was generated from the following file:

- IRunnable.cs

Copyright (C) 2021 Infront Financial Technology GmbH
Mainzer Landstrasse 178 – 190
60327 Frankfurt am Main
Infront Data Manager Connect V4.1